/[gentoo-x86]/dev-lang/ruby/ChangeLog
Gentoo

Diff of /dev-lang/ruby/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.430 Revision 1.521
1# ChangeLog for dev-lang/ruby 1# ChangeLog for dev-lang/ruby
2# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.430 2009/12/15 19:30:25 armin76 Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.521 2011/12/29 14:16:37 graaff Exp $
4
5 29 Dec 2011; Hans de Graaff <graaff@gentoo.org> ruby-1.9.3_p0.ebuild:
6 Add back ~alpha keyword now that rubygems is keyworded.
7
8 29 Dec 2011; Agostino Sarubbo <ago@gentoo.org> ruby-1.8.7_p357.ebuild:
9 Stable for AMD64, wrt security bug #396301
10
11*ruby-1.8.7_p357 (28 Dec 2011)
12
13 28 Dec 2011; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.7_p357.ebuild:
14 Version bump for security bug 396301.
15
16 28 Dec 2011; Hans de Graaff <graaff@gentoo.org> ruby-1.9.3_p0.ebuild:
17 Drop alpha, arm, hppa for now since each missing a dependency, bug 332593.
18
19 28 Dec 2011; Hans de Graaff <graaff@gentoo.org> ruby-1.9.3_p0.ebuild:
20 Drop alpha keyword for now because alpha doesn't have a new enough rubygems
21 keyworded, bug 332593.
22
23 28 Dec 2011; Hans de Graaff <graaff@gentoo.org> ruby-1.9.3_p0.ebuild:
24 Block older versions of packages that are no longer compatible. Remove
25 ancient blocks on packags long gone from the tree.
26
27 28 Dec 2011; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p334-r1.ebuild,
28 -ruby-1.8.7_p334-r2.ebuild, -ruby-1.9.2_p290.ebuild, -ruby-1.9.3_rc1.ebuild:
29 Remove old versions.
30
31*ruby-1.9.3_p0 (18 Dec 2011)
32
33 18 Dec 2011; Hans de Graaff <graaff@gentoo.org> +ruby-1.9.3_p0.ebuild:
34 Version bump to 1.9.3p0. Still has massive failures in the rubytests test
35 suite which need to be diagnosed first.
36
37 22 Oct 2011; Jeroen Roovers <jer@gentoo.org> ruby-1.9.3_rc1.ebuild:
38 Add workaround for target_arch issue (bug #342819). Marked ~hppa (bug
39 #332593).
40
41 22 Oct 2011; Jeroen Roovers <jer@gentoo.org> ruby-1.9.2_p290.ebuild:
42 Add workaround for target_arch issue (bug #342819). Marked ~hppa (bug
43 #332593).
44
45 22 Oct 2011; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p352.ebuild:
46 alpha/ia64/s390/sh/sparc stable wrt #386369
47
48*ruby-1.9.3_rc1 (22 Oct 2011)
49
50 22 Oct 2011; Hans de Graaff <graaff@gentoo.org> +ruby-1.9.3_rc1.ebuild:
51 Version bump.
52
53 15 Oct 2011; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p352.ebuild:
54 arm stable, bug #386369
55
56 14 Oct 2011; Andreas Schuerch <nativemad@gentoo.org> ruby-1.8.7_p352.ebuild:
57 x86 stable, bug 386369
58
59 10 Oct 2011; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p352.ebuild:
60 Stable for HPPA (bug #386369).
61
62 09 Oct 2011; Kacper Kowalik <xarthisius@gentoo.org> ruby-1.8.7_p352.ebuild:
63 ppc/ppc64 stable wrt #386369
64
65 09 Oct 2011; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p352.ebuild:
66 Stable on amd64 wrt bug #386369
67
68 09 Oct 2011; Hans de Graaff <graaff@gentoo.org> -ruby-1.9.2-r1.ebuild:
69 Remove vulnerable version, bug 386369.
70
71*ruby-1.8.7_p352 (30 Aug 2011)
72
73 30 Aug 2011; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p334.ebuild,
74 +ruby-1.8.7_p352.ebuild:
75 Patchlevel bump for ruby:1.8. Removing old version
76
77*ruby-1.9.2_p290 (30 Aug 2011)
78
79 30 Aug 2011; Alex Legler <a3li@gentoo.org> -ruby-1.9.2_rc2-r1.ebuild,
80 -ruby-1.9.2.ebuild, +ruby-1.9.2_p290.ebuild:
81 Patchlevel bump. Thanks to Shota Fukumori for proposing an ebuild. Removing
82 old patchlevels.
83
84 10 Aug 2011; Kacper Kowalik <xarthisius@gentoo.org>
85 ruby-1.8.7_p334-r2.ebuild:
86 ppc/ppc64 stable wrt #378691
87
88*ruby-1.8.7_p334-r2 (22 Jul 2011)
89
90 22 Jul 2011; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.7_p334-r2.ebuild:
91 Add patch to fix threading bug on ppc64, bug 375075. Thanks to Kacper Kowalik
92 for chasing down upstream and us.
93
94 15 Jul 2011; Matt Turner <mattst88@gentoo.org> ruby-1.9.2-r1.ebuild:
95 Added ~mips, bug 332593
96
97 07 Jun 2011; Kacper Kowalik <xarthisius@gentoo.org>
98 ruby-1.8.7_p334-r1.ebuild:
99 ppc64 stable wrt #369141
100
101 03 Jun 2011; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p334-r1.ebuild:
102 ia64/s390/sh/sparc stable wrt #369141
103
104 03 Jun 2011; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p334-r1.ebuild:
105 Stable for HPPA (bug #369141).
106
107 03 Jun 2011; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p334-r1.ebuild:
108 Marking ruby-1.8.7_p334-r1 ppc for bug 369141
109
110 02 Jun 2011; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p334-r1.ebuild:
111 arm/x86 stable, bug #369141
112
113 01 Jun 2011; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p334-r1.ebuild:
114 Stable on amd64 wrt bug #369141
115
116 01 Jun 2011; Tobias Klausmann <klausman@gentoo.org>
117 ruby-1.8.7_p334-r1.ebuild:
118 Stable on alpha, bug #369141
119
120*ruby-1.8.7_p334-r1 (31 May 2011)
121
122 31 May 2011; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p334-r1.ebuild:
123 Revision bump for security bug 369141 (CVE-2011-0188)
124
125*ruby-1.9.2-r1 (16 May 2011)
126
127 16 May 2011; Hans de Graaff <graaff@gentoo.org> +ruby-1.9.2-r1.ebuild:
128 Don't remove racc files since all other ruby targets ship these files
129 themselves as well. Closes bug 363419.
130
131 13 Mar 2011; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p302.ebuild,
132 ruby-1.8.7_p334.ebuild:
133 Remove old version. Remove obsolete and unused old-style virtual/ruby.
134
135 07 Mar 2011; Raúl Porcel <armin76@gentoo.org> ruby-1.9.2.ebuild:
136 Add ~alpha/~arm/~ia64/~s390/~sh/~sparc wrt #332593
137
138 07 Mar 2011; Raúl Porcel <armin76@gentoo.org> ruby-1.9.2.ebuild:
139 Add append-flags -mieee on sh, bug #357559
140
141 26 Feb 2011; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p334.ebuild:
142 alpha/arm/ia64/s390/sh stable wrt #355439
143
144 26 Feb 2011; Kacper Kowalik <xarthisius@gentoo.org> ruby-1.9.2.ebuild:
145 Marked ~ppc64 wrt #332593
146
147 20 Feb 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org>
148 ruby-1.8.7_p334.ebuild:
149 x86 stable wrt security bug #355439
150
151 20 Feb 2011; Kacper Kowalik <xarthisius@gentoo.org>
152 ruby-1.8.7_p334.ebuild:
153 ppc/ppc64 stable wrt #355439
154
155 19 Feb 2011; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p334.ebuild:
156 Stable on amd64 wrt bug #355439
157
158 19 Feb 2011; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p334.ebuild:
159 Stable for HPPA (bug #355439).
160
161*ruby-1.8.7_p334 (19 Feb 2011)
162
163 19 Feb 2011; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p334.ebuild:
164 Version bump 1.8.7 series, security bug 355439
165
166 31 Dec 2010; Hans de Graaff <graaff@gentoo.org> ruby-1.9.2_rc2-r1.ebuild,
167 ruby-1.9.2.ebuild:
168 Remove PROVIDE for old-style virtual/ruby per bug 265054.
169
170 31 Dec 2010; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p399.ebuild:
171 Remove masked ruby 1.8.6 per bug 332597.
172
173 07 Sep 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p249.ebuild,
174 -ruby-1.9.2_rc2.ebuild:
175 Removing old and vulnerable ebuilds
176
177 06 Sep 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p302.ebuild:
178 Marking ruby-1.8.7_p302 ppc64 for bug 332957
179
180 28 Aug 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p302.ebuild:
181 alpha/ia64/s390/sh/sparc stable wrt #332957
182
183*ruby-1.9.2 (24 Aug 2010)
184
185 24 Aug 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.2.ebuild,
186 metadata.xml:
187 Version bump. Fixes rdoc handling wrt bug 333897 by Park Ji-in. Drop hppa
188 and x86-fbsd due to a new dependency on rdoc.
189
190 23 Aug 2010; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p302.ebuild:
191 arm stable, bug #332957
192
193 21 Aug 2010; Pawel Hajdan jr <phajdan.jr@gentoo.org>
194 ruby-1.8.7_p302.ebuild:
195 x86 stable wrt security bug #332957
196
197 21 Aug 2010; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p302.ebuild:
198 Stable on amd64 wrt bug #332957
199
200 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
201 Stable for PPC (bug #332957).
202
203 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
204 Stable for HPPA (bug #332957).
205
206*ruby-1.8.7_p302 (21 Aug 2010)
207
208 21 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p299.ebuild,
209 +ruby-1.8.7_p302.ebuild:
210 Revision bump to 1.8.7_p302 for security bug 332957. Fix rubytests
211 installation path.
212
213*ruby-1.8.6_p399 (19 Aug 2010)
214
215 19 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p388.ebuild,
216 -ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.6_p399.ebuild:
217 Last patchlevel bump for Ruby 1.8.6 to 399, fixes CVE-2010-0541 (bug
218 332957). Also restrict Tk and OpenSSL dependencies and fix rubytests
219 installation path (reported by the x86 team in bug 332597)
220
221*ruby-1.9.2_rc2-r1 (18 Aug 2010)
222
223 18 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
224 +ruby-1.9.2_rc2-r1.ebuild, metadata.xml:
225 Update ebuild; apply webrick security patch; unbundle minitest, rdoc 2 and
226 the rubygems loading code. Add USE flag for psych.
227
228 17 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
229 ruby-1.9.2_rc2.ebuild:
230 Remove two keepdir that will try to keep an empty path, closes bug
231 #333163.
232
233 16 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.9.2_rc2.ebuild:
234 Marked ~ppc (bug #332593).
235
236 15 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
237 ruby-1.9.2_rc2.ebuild:
238 Remove libedit USE flag from 1.9.2 because of upstream bug #3698.
239
240 13 Aug 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
241 ruby-1.8.7_p299.ebuild:
242 Bump eselect-ruby dependency
243
244 13 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
245 -ruby-1.9.1_p429.ebuild:
246 Remove ebuild that is not target for unmask anyway.
247
248 21 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
249 ruby-1.9.2_rc2.ebuild:
250 Try 2 to fix the berkdb 5 issue on 1.9.
251
252 20 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
253 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p299.ebuild, ruby-1.9.1_p429.ebuild,
254 ruby-1.9.2_rc2.ebuild:
255 Add a new patchset to add support for Berkeley DB 5.0 (bug #326937). Add
256 support for adding new patchsets without bumping the revision for all the
257 old ebuilds as well.
258
259*ruby-1.9.2_rc2 (14 Jul 2010)
260
261 14 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
262 +ruby-1.9.2_rc2.ebuild:
263 Bump to 1.9.2 release candidate, that works with OpenSSL 1. This version
264 might cause _further_ build failures as it changed slightly behaviour.
265 You're going to need to rebuild rubygems and then all the packages
266 previously installed after upgrading to this.
267
268 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
269 -ruby-1.8.7_p249-r1.ebuild, -ruby-1.8.7_p249-r2.ebuild,
270 -ruby-1.9.1_p376.ebuild:
271 Cleanup old versions.
272
273*ruby-1.9.1_p429 (04 Jul 2010)
274
275 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
276 +ruby-1.9.1_p429.ebuild:
277 Version bump to new 1.9.1 release.
278
279*ruby-1.8.7_p299 (23 Jun 2010)
280
281 23 Jun 2010; Diego E. Pettenò <flameeyes@gentoo.org>
282 +ruby-1.8.7_p299.ebuild:
283 Version bump.
284
285 19 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
286 ruby-1.8.7_p249-r2.ebuild, ruby-1.9.1_p376.ebuild:
287 remove useless comments
288
289 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
290 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p249-r2.ebuild,
291 ruby-1.9.1_p376.ebuild:
292 Update ebuilds to be consistent with ruby-enterprise; patches are moved to
293 dev.gentoo.org now.
294
295 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
296 ruby-1.9.1_p376.ebuild:
297 Use the correct RUBYLIB.
298
299*ruby-1.8.7_p249-r2 (18 May 2010)
300*ruby-1.8.6_p388-r1 (18 May 2010)
301
302 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
303 +ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.7_p249-r2.ebuild,
304 ruby-1.9.1_p376.ebuild, metadata.xml:
305 Add patches to build with BerkDB 5.0 (bug #319583) and OpenSSL 1.0 (bug
306 #304427) to Ruby 1.8.x. Also use --no-undefined as it's done for 1.9. Also
307 add USE flags for ncurses, readline and libedit, and properly depend on
308 zlib. Drop emacs USE flag and dependency on app-emacs/ruby-mode as the new
309 Emacs versions support ruby-mode themselves and it should be even more
310 updated.
311
312*ruby-1.8.7_p249-r1 (06 May 2010)
313
314 06 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p249-r1.ebuild:
315 Revbump 1.8.7 to add patch for threading/timeout-related hangs. Closes bug
316 309789 by Sune Kloppenborg Jeppesen.
317
318 06 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
319 ruby-1.8.7_p249.ebuild:
320 Use $PVR instead of $PV in patchset names
321
322 06 May 2010; Alex Legler <a3li@gentoo.org>
323 -files/ruby-1.8.6-memory-leak.diff,
324 -files/ruby18-mkmf-parallel-install.patch,
325 -files/ruby-1.8.6-uclibc-udp.patch, -ruby-1.9.1_p243.ebuild,
326 -files/auto_gem.rb, -files/ruby-mkconfig.patch:
327 Remove old version. Cleanup in files/
328
329*ruby-1.9.1_p376 (01 May 2010)
330
331 01 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.1_p376.ebuild:
332 Version bump. Fixes security bugs 296052 and 300468. No longer installs
333 rubygems or auto_gem.rb. Use dev-ruby/rubygems[ruby_targets_ruby19]
334 instead.
335
336 13 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p369.ebuild,
337 -ruby-1.8.7_p174-r1.ebuild:
338 Remove vulnerable ebuilds, 300468
339
340 13 Jan 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
341 ruby-1.8.7_p249.ebuild:
342 amd64 stable, security bug 300468
343
344 13 Jan 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p388.ebuild,
345 ruby-1.8.7_p249.ebuild:
346 alpha/arm/ia64/s390/sh/sparc stable wrt #300468
347
348 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p249.ebuild:
349 Stable for HPPA (bug #300468).
350
351 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p388.ebuild:
352 Stable for HPPA (bug #300468).
353
354 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p249.ebuild:
355 Marking ruby-1.8.7_p249 ppc64 and ppc for bug 300468
356
357 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p388.ebuild:
358 Marking ruby-1.8.6_p388 ppc64 and ppc for bug 300468
359
360 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
361 ruby-1.8.6_p388.ebuild:
362 stable x86, security bug 300468
363
364 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
365 ruby-1.8.7_p249.ebuild:
366 stable x86, security bug 300468
367
368*ruby-1.8.6_p388 (10 Jan 2010)
369
370 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p383.ebuild,
371 +ruby-1.8.6_p388.ebuild:
372 Version bump (1.8.6), security bug 300468. Remove unneded vulnerable
373 version. The new ebuild also has the fix for bug 168939.
374
375*ruby-1.8.7_p249 (10 Jan 2010)
376
377 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p248.ebuild,
378 +ruby-1.8.7_p249.ebuild:
379 Version bump (1.8.7) for security bug 300468, removing unneeded vulnerable
380 version
381
382 02 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
383 Marking ruby-1.8.7_p174-r1 ppc64 for bug 288699
384
385*ruby-1.8.7_p248 (25 Dec 2009)
386
387 25 Dec 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p248.ebuild:
388 Version bump
389
390 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
391 Remove old version.
392
393 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
394 Remove old version.
4 395
5 15 Dec 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p174-r1.ebuild: 396 15 Dec 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
6 ia64/s390/sh stable wrt #288699 397 ia64/s390/sh stable wrt #288699
7 398
8 11 Nov 2009; Tiago Cunha <tcunha@gentoo.org> ruby-1.8.7_p174-r1.ebuild: 399 11 Nov 2009; Tiago Cunha <tcunha@gentoo.org> ruby-1.8.7_p174-r1.ebuild:

Legend:
Removed from v.1.430  
changed lines
  Added in v.1.521

  ViewVC Help
Powered by ViewVC 1.1.20